Bug 689 - Please could You add full support for KVM to ROSA
: Please could You add full support for KVM to ROSA
Status: RESOLVED WORKSFORME
Product: Desktop Features
Classification: ROSA Desktop
Component: All
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-21 21:12 MSD by FirstLevel
Modified: 2012-08-24 11:08 MSD (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description FirstLevel 2012-08-21 21:12:30 MSD
Please could You add full support for KVM to ROSA
it would be great to see it in the desktop version
Comment 1 Denis Silakov 2012-08-22 11:41:13 MSD
What do you mean under the 'full support'? KVM kernel module is present in ROSA (though not loaded by default - users should setup the system to load it if they wish) and can be used by qemu or other virtualization software which is aware of it.
Comment 2 FirstLevel 2012-08-22 13:19:06 MSD
Do You mean kernel-server-latest package?
I have oriented on this article for Fedora  http://docs.fedoraproject.org/ru-RU/Fedora/12/html/Virtualization_Guide/sect-Virtualization_Guide-Installing_the_virtualization_packages-Installing_KVM_packages_on_an_existing_Fedora_system.html
I have not found kvm package in repositories, virt-manager has broken dependencies.
Comment 3 FirstLevel 2012-08-22 13:20:17 MSD
In this article for mandriva 2010 http://www.howtoforge.com/virtualization-with-kvm-on-a-mandriva-2010.0-server I see that kvm package must be presented
Comment 4 Denis Silakov 2012-08-22 13:33:12 MSD
Since that time, kvm was merged with qemu. Fedora still provides the package named 'kvm' for historical reasons. In ROSA, it is enough to install qemu, it already provides the 'qemu-kvm' binary.

As for the kernel - desktop kernels provide the kvm module:
$ rpm -ql kernel-nrj-desktop-3.0.38-1rosa.lts-1-1-rosa.lts2012.0.x86_64 | grep kvm
/lib/modules/3.0.38-nrj-desktop-1rosa.lts/kernel/arch/x86/kvm
/lib/modules/3.0.38-nrj-desktop-1rosa.lts/kernel/arch/x86/kvm/kvm-amd.ko.gz
/lib/modules/3.0.38-nrj-desktop-1rosa.lts/kernel/arch/x86/kvm/kvm-intel.ko.gz
/lib/modules/3.0.38-nrj-desktop-1rosa.lts/kernel/arch/x86/kvm/kvm.ko.gz

To check that it works, you should execute 'modprobe kvm' in console under root. Then 'lsmod | grep kvm' should show you that the module is loaded. But note that you should do this on a real hardware with hardware-assisted virtualization.

Virt-manager is a separate product not binded to KVM. Feel free to file a bug to fix its dependencies, though it is in contrib repo, so not a high priority task...

Finally, I would say that for Desktop users VirtualBox is the best virtualization solution. Tools like virt-manager qemu-kvm are primarily targeted to server infrastructure, not for desktops.
Comment 5 FirstLevel 2012-08-23 15:07:33 MSD
(In reply to comment #4)
> Since that time, kvm was merged with qemu. Fedora still provides the package
> named 'kvm' for historical reasons. In ROSA, it is enough to install qemu,
> it already provides the 'qemu-kvm' binary.
> 
> As for the kernel - desktop kernels provide the kvm module:
> $ rpm -ql kernel-nrj-desktop-3.0.38-1rosa.lts-1-1-rosa.lts2012.0.x86_64 |
> grep kvm
> /lib/modules/3.0.38-nrj-desktop-1rosa.lts/kernel/arch/x86/kvm
> /lib/modules/3.0.38-nrj-desktop-1rosa.lts/kernel/arch/x86/kvm/kvm-amd.ko.gz
> /lib/modules/3.0.38-nrj-desktop-1rosa.lts/kernel/arch/x86/kvm/kvm-intel.ko.gz
> /lib/modules/3.0.38-nrj-desktop-1rosa.lts/kernel/arch/x86/kvm/kvm.ko.gz
> 
> To check that it works, you should execute 'modprobe kvm' in console under
> root. Then 'lsmod | grep kvm' should show you that the module is loaded. But
> note that you should do this on a real hardware with hardware-assisted
> virtualization.
> 
> Virt-manager is a separate product not binded to KVM. Feel free to file a
> bug to fix its dependencies, though it is in contrib repo, so not a high
> priority task...
> 
> Finally, I would say that for Desktop users VirtualBox is the best
> virtualization solution. Tools like virt-manager qemu-kvm are primarily
> targeted to server infrastructure, not for desktops.

Thanks a lot
Comment 6 Denis Silakov 2012-08-24 11:08:58 MSD
And well, virt-manager dependencies are not broken, it justs requires 'netcat-traditional' to be replaced with 'netcat-openbsd' and due to this the 'task-printing' metapackage is removed. If you accept these actions (suggested by urpmi or rpmdrake), virt-manager is successfully installed and can be used.